cdac.medinfo.sdk.hl7282.baselibs.segments

## Class OMC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.OMC

- All Implemented Interfaces:
    ISegment

      public class OMC
      extends Segment

  OCM - Additional Basic Attributes .

  The OCM segment contains additional basic attributes that apply to the definition of most observations/services.

  Represents an HL7 OCM message segment. This segment has the following fields:

  OCM-1: Sequence Number - Test/Observation Master File (NM)Optional
  OCM-2: Segment Action Code (ID)C(R/O)
  OCM-3: Segment Unique Key (EI)C(R/O)
  OCM-4: Clinical Information Request (CWE)Required
  OCM-5: Collection Event/Process Step (CWE)Required
  OCM-6: Communication Location (CWE)Required
  OCM-7: Answer Required (ID)Optional
  OCM-8: Hint/Help Text (ST)Optional
  OCM-9: Type of Answer (Varies)Optional
  OCM-10: Multiple Answers Allowed (ID)Optional
  OCM-11: Answer Choices (CWE)Optional
  OCM-12: Character Limit (NM)Optional
  OCM-13: Number of Decimals (NM)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OMC()` Constructs the OMC segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAnswerChoices(CWE objAnswerChoices)` Add the Answer Choices.
    `void` | `addAnswerChoices(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Answer Choices.
    `void` | `addCollectionEventProcessStepLimit(CWE objCollectionEventProcessStepLimit)` Add the Collection Event/Process Step Limit.
    `void` | `addCollectionEventProcessStepLimit(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Collection Event/Process Step Limit.
    `ISingleCollection<CWE>` | `getAnswerChoices()` Retrieves the Answer Choices.
    `ID` | `getAnswerRequired()` Retrieves the Answer Required.
    `NM` | `getCharacterLimit()` Retrieves the Character Limit.
    `CWE` | `getClinicalInformationRequest()` Retrieves the Clinical Information Request.
    `ISingleCollection<CWE>` | `getCollectionEventProcessStepLimit()` Retrieves the Collection Event/Process Step Limit.
    `CWE` | `getCommunicationLocation()` Retrieves the Communication Location.
    `ST` | `getHintHelpText()` Retrieves the Hint/Help Text.
    `ID` | `getMultipleAnswersAllowed()` Retrieves the Multiple Answers Allowed.
    `NM` | `getNumberOfDecimals()` Retrieves the Number of Decimals.
    `ID` | `getSegmentActionCode()` Retrieves the Segment Action Code.
    `EI` | `getSegmentUniqueKey()` Retrieves the Segment Unique Key.
    `NM` | `getSequenceNumberTestObservationMasterFile()` Retrieves the Sequence Number - Test/Observation Master File.
    `ISingleCollection<IDataType>` | `getTypeOfAnswer()` Retrieves the Type of Answer.
    `void` | `setAnswerChoices(ISingleCollection<CWE> objAnswerChoicesList)` Set the Answer Choices.
    `void` | `setAnswerRequired(ID objAnswerRequired)` Set the Answer Required.
    `void` | `setAnswerRequired(java.lang.String strAnswerRequired)` Set the Answer Required.
    `void` | `setCharacterLimit(NM objCharacterLimit)` Set the Character Limit.
    `void` | `setCharacterLimit(java.lang.String strAmount)` Set the Character Limit.
    `void` | `setClinicalInformationRequest(CWE objClinicalInformationRequest)` Set the Clinical Information Request.
    `void` | `setClinicalInformationRequest(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Clinical Information Request.
    `void` | `setCollectionEventProcessStepLimit(ISingleCollection<CWE> objCollectionEventProcessStepLimitList)` Set the Collection Event/Process Step Limit.
    `void` | `setCommunicationLocation(CWE objCommunicationLocation)` Set the Communication Location.
    `void` | `setCommunicationLocation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Communication Location.
    `void` | `setHintHelpText(ST HintHelpText)` Set the Hint/Help Text.
    `void` | `setHintHelpText(java.lang.String strHintHelpText)` Set the Hint/Help Text.
    `void` | `setMultipleAnswersAllowed(ID objMultipleAnswersAllowed)` Set the Multiple Answers Allowed.
    `void` | `setMultipleAnswersAllowed(java.lang.String strMultipleAnswersAllowed)` Set the Multiple Answers Allowed.
    `void` | `setNumberOfDecimals(NM objNumberOfDecimals)` Set the Number of Decimals.
    `void` | `setNumberOfDecimals(java.lang.String strAmount)` Set the Number of Decimals.
    `void` | `setSegmentActionCode(ID objSegmentActionCode)` Set the Segment Action Code.
    `void` | `setSegmentActionCode(java.lang.String strSegmentActionCode)` Set the Segment Action Code.
    `void` | `setSegmentUniqueKey(EI objSegmentUniqueKey)` Set the Segment Unique Key.
    `void` | `setSegmentUniqueKey(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Segment Unique Key.
    `void` | `setSequenceNumberTestObservationMasterFile(NM objSequenceNumberTestObservationMasterFile)` Set the Sequence Number - Test/Observation Master File.
    `void` | `setSequenceNumberTestObservationMasterFile(java.lang.String strSequenceNumberTestObservationMasterFile)` Set the Sequence Number - Test/Observation Master File.
    `void` | `setTypeOfAnswer(ISingleCollection<IDataType> TypeOfAnswer)` Set the Type of Answer.This field contains the allowed datatype for answers, and is drawn from HL7 Table 0125 – Value Type for valid values.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OMC

          public OMC()

      Constructs the OMC segment.

  - ### Method Detail

    - #### getSequenceNumberTestObservationMasterFile

          public NM getSequenceNumberTestObservationMasterFile()

      Retrieves the Sequence Number - Test/Observation Master File. This field contains the same value as the sequence number of the associated OM1 segment.
      Returns:
        NM - SequenceNumberTestObservationMasterFile

    - #### setSequenceNumberTestObservationMasterFile

          public void setSequenceNumberTestObservationMasterFile(java.lang.String strSequenceNumberTestObservationMasterFile)

      Set the Sequence Number - Test/Observation Master File. This field contains the same value as the sequence number of the associated OM1 segment.
      Parameters:
        `strSequenceNumberTestObservationMasterFile` - This field contains the String value of Sequence Number - Test/Observation Master File.

    - #### setSequenceNumberTestObservationMasterFile

          public void setSequenceNumberTestObservationMasterFile(NM objSequenceNumberTestObservationMasterFile)

      Set the Sequence Number - Test/Observation Master File. This field contains the same value as the sequence number of the associated OM1 segment.
      Parameters:
        `objSequenceNumberTestObservationMasterFile` - Object of Sequence Number - Test/Observation Master File.

    - #### getSegmentActionCode

          public ID getSegmentActionCode()

      Retrieves the Segment Action Code. This field indicates whether this repetition of the segment is being added, changed or deleted.
      Returns:
        ID - SegmentActionCode

    - #### setSegmentActionCode

          public void setSegmentActionCode(java.lang.String strSegmentActionCode)

      Set the Segment Action Code. This field indicates whether this repetition of the segment is being added, changed or deleted.
      Parameters:
        `strSegmentActionCode` - This field indicates whether this repetition of the segment is being added, changed or deleted.

    - #### setSegmentActionCode

          public void setSegmentActionCode(ID objSegmentActionCode)

      Set the Segment Action Code. This field indicates whether this repetition of the segment is being added, changed or deleted.
      Parameters:
        `objSegmentActionCode` - Object of Segment Action Code.

    - #### getSegmentUniqueKey

          public EI getSegmentUniqueKey()

      Retrieves the Segment Unique Key. This field contains a unique identifier for one of the multiple repetitions of this segment, to be used in conjunction with the preceding field.
      Returns:
        EI - SegmentUniqueKey

    - #### setSegmentUniqueKey

          public void setSegmentUniqueKey(java.lang.String strEntityIdentifier,
                                 java.lang.String strNamespaceId,
                                 java.lang.String strUniversalId,
                                 java.lang.String strUniversalIdType)

      Set the Segment Unique Key. This field contains a unique identifier for one of the multiple repetitions of this segment, to be used in conjunction with the preceding field.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setSegmentUniqueKey

          public void setSegmentUniqueKey(EI objSegmentUniqueKey)

      Set the Segment Unique Key. This field contains a unique identifier for one of the multiple repetitions of this segment, to be used in conjunction with the preceding field.
      Parameters:
        `objSegmentUniqueKey` - Object of Segment Unique Key.

    - #### getClinicalInformationRequest

          public CWE getClinicalInformationRequest()

      Retrieves the Clinical Information Request. This field contains a variable that the diagnostic service needs to interpret the results of an ordered study.
      Returns:
        CWE - ClinicalInformationRequest

    - #### setClinicalInformationRequest

          public void setClinicalInformationRequest(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Clinical Information Request. This field contains a variable that the diagnostic service needs to interpret the results of an ordered study.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setClinicalInformationRequest

          public void setClinicalInformationRequest(CWE objClinicalInformationRequest)

      Set the Clinical Information Request. This field contains a variable that the diagnostic service needs to interpret the results of an ordered study.
      Parameters:
        `objClinicalInformationRequest` - Object of Clinical Information Request.

    - #### getCollectionEventProcessStepLimit

          public ISingleCollection<CWE> getCollectionEventProcessStepLimit()

      Retrieves the Collection Event/Process Step Limit. This field indicates by when in the ordering process or workflow this information must be collected.
      Returns:
        ISingleCollection - CollectionEventProcessStepLimit

    - #### addCollectionEventProcessStepLimit

          public void addCollectionEventProcessStepLimit(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Add the Collection Event/Process Step Limit. This field indicates by when in the ordering process or workflow this information must be collected.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCollectionEventProcessStepLimit

          public void addCollectionEventProcessStepLimit(CWE objCollectionEventProcessStepLimit)

      Add the Collection Event/Process Step Limit. This field indicates by when in the ordering process or workflow this information must be collected.
      Parameters:
        `objCollectionEventProcessStepLimit` - Object of Collection Event/Process Step Limit.

    - #### setCollectionEventProcessStepLimit

          public void setCollectionEventProcessStepLimit(ISingleCollection<CWE> objCollectionEventProcessStepLimitList)

      Set the Collection Event/Process Step Limit. This field indicates by when in the ordering process or workflow this information must be collected.
      Parameters:
        `objCollectionEventProcessStepLimitList` - List of Collection Event/Process Step Limit.

    - #### getCommunicationLocation

          public CWE getCommunicationLocation()

      Retrieves the Communication Location. This field indicates where in the message this information is expected to be communicated, e.g. PID, OBR, and SPM).
      Returns:
        CWE - CommunicationLocation

    - #### setCommunicationLocation

          public void setCommunicationLocation(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Communication Location. This field indicates where in the message this information is expected to be communicated, e.g. PID, OBR, and SPM).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCommunicationLocation

          public void setCommunicationLocation(CWE objCommunicationLocation)

      Set the Communication Location. This field indicates where in the message this information is expected to be communicated, e.g. PID, OBR, and SPM).
      Parameters:
        `objCommunicationLocation` - Object of Communication Location.

    - #### getAnswerRequired

          public ID getAnswerRequired()

      Retrieves the Answer Required. Must the question be answered, or just displayed and can be blank.
      Returns:
        ID - AnswerRequired

    - #### setAnswerRequired

          public void setAnswerRequired(java.lang.String strAnswerRequired)

      Set the Answer Required. Must the question be answered, or just displayed and can be blank.
      Parameters:
        `strAnswerRequired` - String which to set as Answer Required

    - #### setAnswerRequired

          public void setAnswerRequired(ID objAnswerRequired)

      Set the Answer Required. Must the question be answered, or just displayed and can be blank.
      Parameters:
        `objAnswerRequired` - Object of Answer Required.

    - #### getHintHelpText

          public ST getHintHelpText()

      Retrieves the Hint/Help Text. This field gives guidance to the provider on how to answer the question.
      Returns:
        ISingleCollection - HintHelpText

    - #### setHintHelpText

          public void setHintHelpText(java.lang.String strHintHelpText)

      Set the Hint/Help Text. This field gives guidance to the provider on how to answer the question.
      Parameters:
        `strHintHelpText` - Use as HintHelpText.

    - #### setHintHelpText

          public void setHintHelpText(ST HintHelpText)

      Set the Hint/Help Text. This field gives guidance to the provider on how to answer the question.
      Parameters:
        `HintHelpText` - Object of Hint/Help Text.

    - #### getTypeOfAnswer

          public ISingleCollection<IDataType> getTypeOfAnswer()

      Retrieves the Type of Answer. This field contains the allowed datatype for answers, and is drawn from HL7 Table 0125 – Value Type for valid values.
      Returns:
        DataType - TypeOfAnswer

    - #### setTypeOfAnswer

          public void setTypeOfAnswer(ISingleCollection<IDataType> TypeOfAnswer)

      Set the Type of Answer.This field contains the allowed datatype for answers, and is drawn from HL7 Table 0125 – Value Type for valid values.
      Parameters:
        `TypeOfAnswer` - Use as TypeOfAnswer.

    - #### getMultipleAnswersAllowed

          public ID getMultipleAnswersAllowed()

      Retrieves the Multiple Answers Allowed. This field indicates if multiple answers are allowed, which may impact EHR system display and selection functionality.
      Returns:
        ID - MultipleAnswersAllowed

    - #### setMultipleAnswersAllowed

          public void setMultipleAnswersAllowed(java.lang.String strMultipleAnswersAllowed)

      Set the Multiple Answers Allowed. This field indicates if multiple answers are allowed, which may impact EHR system display and selection functionality.
      Parameters:
        `strMultipleAnswersAllowed` - This field specifies the status of an order. Refer to HL7 Table 0038 - Order status for valid entries.

    - #### setMultipleAnswersAllowed

          public void setMultipleAnswersAllowed(ID objMultipleAnswersAllowed)

      Set the Multiple Answers Allowed. This field indicates if multiple answers are allowed, which may impact EHR system display and selection functionality.
      Parameters:
        `objMultipleAnswersAllowed` - Object of Multiple Answers Allowed.

    - #### getAnswerChoices

          public ISingleCollection<CWE> getAnswerChoices()

      Retrieves the Answer Choices. Allowed coded answers to be sent in HL7 file (CWE.1) and/or display Text for Ordering system to present to provider (CWE.2).
      Returns:
        ISingleCollection - AnswerChoices

    - #### addAnswerChoices

          public void addAnswerChoices(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Add the Answer Choices. Allowed coded answers to be sent in HL7 file (CWE.1) and/or display Text for Ordering system to present to provider (CWE.2).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAnswerChoices

          public void addAnswerChoices(CWE objAnswerChoices)

      Add the Answer Choices. Allowed coded answers to be sent in HL7 file (CWE.1) and/or display Text for Ordering system to present to provider (CWE.2).
      Parameters:
        `objAnswerChoices` - Object of Answer Choices.

    - #### setAnswerChoices

          public void setAnswerChoices(ISingleCollection<CWE> objAnswerChoicesList)

      Set the Answer Choices. Allowed coded answers to be sent in HL7 file (CWE.1) and/or display Text for Ordering system to present to provider (CWE.2).
      Parameters:
        `objAnswerChoicesList` - List of Answer Choices.

    - #### getCharacterLimit

          public NM getCharacterLimit()

      Retrieves the Character Limit. Total number of characters allowed. Required for numeric and (long) text answers. The field is valued only if OMC-9 is valued 'NM', 'SN', 'ST", 'TX', or 'FT'.
      Returns:
        NM - CharacterLimit

    - #### setCharacterLimit

          public void setCharacterLimit(java.lang.String strAmount)

      Set the Character Limit. Total number of characters allowed. Required for numeric and (long) text answers. The field is valued only if OMC-9 is valued 'NM', 'SN', 'ST", 'TX', or 'FT'.
      Parameters:
        `strAmount` - This field contains the String Value of Amount.

    - #### setCharacterLimit

          public void setCharacterLimit(NM objCharacterLimit)

      Set the Character Limit. Total number of characters allowed. Required for numeric and (long) text answers. The field is valued only if OMC-9 is valued 'NM', 'SN', 'ST", 'TX', or 'FT'.
      Parameters:
        `objCharacterLimit` - Object of Character Limit.

    - #### getNumberOfDecimals

          public NM getNumberOfDecimals()

      Retrieves the Number of Decimals. For numeric answers the number of digits after the decimal.
      Returns:
        NM - NumberOfDecimals

    - #### setNumberOfDecimals

          public void setNumberOfDecimals(java.lang.String strAmount)

      Set the Number of Decimals. For numeric answers the number of digits after the decimal.
      Parameters:
        `strAmount` - This field contains the String Value of Amount.

    - #### setNumberOfDecimals

          public void setNumberOfDecimals(NM objNumberOfDecimals)

      Set the Number of Decimals. For numeric answers the number of digits after the decimal.
      Parameters:
        `objNumberOfDecimals` - Object of Number of Decimals.